Bug 1303584 - check the sslengine creation
check the sslengine creation
Status: CLOSED CURRENTRELEASE
Product: vdsm-jsonrpc-java
Classification: oVirt
Component: Core (Show other bugs)
1.1.5
x86_64 Linux
unspecified Severity low (vote)
: ovirt-4.0.0-alpha
: 1.2.1
Assigned To: Moti Asayag
Eldad Marciano
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 06:32 EST by Eldad Marciano
Modified: 2016-08-01 08:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-01 08:26:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
masayag: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52925 master MERGED Ignore getting peer certificates for server mode 2016-02-02 03:05 EST

  None (edit)
Description Eldad Marciano 2016-02-01 06:32:08 EST
Description of problem:
sslengine throwing failed to create peer certification.
when it is not set correctly.

(01:24:59 PM) pkliczew: on sslengine there is getUseClientMode
(01:25:09 PM) pkliczew: which you can use to check whether it is server or client
(01:25:47 PM) pkliczew: sslengine is created in SSLClient#createSSLEngine()
(01:25:55 PM) pkliczew: so you can take a look there how it is set
(01:26:32 PM) pkliczew: we need to check for it in SSLEnginNioHelper#process() 
Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Eldad Marciano 2016-05-03 06:14:51 EDT
this patch can be backported to rhev 3.6.x releases?
which mean 1.1.9 or longer?
Comment 2 Gil Klein 2016-07-25 04:52:58 EDT
Verified as a code change only

Note You need to log in before you can comment on or make changes to this bug.